Rivet::EigenSystem< N > Class Template Reference

Handy object containing results of a diagonalization. More...

`#include <MatrixDiag.hh>`

## Public Types

typedef pair< double, Vector< N > > | EigenPair
typedef vector< EigenPair > | EigenPairs

## Public Member Functions

Vector< N > | getDiagVector () const
Matrix< N > | getDiagMatrix () const
EigenPairs | getEigenPairs () const
vector< double > | getEigenValues () const
vector< Vector< N > > | getEigenVectors () const

## Friends

template<size_t M>
EigenSystem< M > | diagonalize (const Matrix< M > &)

## Detailed Description

### template<size_t N>
class Rivet::EigenSystem< N >

Handy object containing results of a diagonalization.

The documentation for this class was generated from the following file:

- include/Rivet/Math/MatrixDiag.hh